<?php 
/**
 * Tabla de multiplicar (Resultado) - for_1_5.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-05-09
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">\n"; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
       "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>Tabla de multiplicar (Resultado). for (1). Ejercicios. PHP. Bartolomé 
  Sintes Marco</title>
  <link href="mclibre_php_soluciones.css" rel="stylesheet" type="text/css" 
  title="Color" />
  <style type="text/css">
    td { text-align: center; }
  </style>
</head>
<body>

<h1>Tabla de multiplicar (Resultado)</h1>
<?php
function recoge($var)
{ 
    $tmp = (isset($_REQUEST[$var])) ? strip_tags(trim(htmlspecialchars($_REQUEST[$var]))) : '';
    if (get_magic_quotes_gpc()) {
        $tmp = stripslashes($tmp);
    }
    return $tmp;
}

$filas    = recoge('filas');
$columnas = recoge('columnas');
$altura   = recoge('altura');
$anchura  = recoge('anchura');
$filasMinimo = $columnasMinimo = 1;
$alturaMinimo = 30;
$anchuraMinimo = 50;
$filasMaximo = $columnasMaximo = $alturaMaximo = $anchuraMaximo = 100;
$filasOk = $columnasOk = $alturaOk = $anchuraOk = FALSE;

if ($filas=="") {
    print "<p style=\"color: red\">No ha escrito el número de filas.</p>\n";
} elseif (!ctype_digit($filas)) { 
    print "<p style=\"color: red\">No ha escrito el número de filas "
        ."como número entero positivo.</p>\n";
} elseif ($filas<$filasMinimo || $filas>$filasMaximo) {
    print "<p style=\"color: red\">El número de filas debe estar entre "
    	."$filasMinimo y $filasMaximo.</p>\n";
} else {
    $filasOk = TRUE;
}    

if ($columnas=="") {
    print "<p style=\"color: red\">No ha escrito el número de columnas.</p>\n";
} elseif (!ctype_digit($columnas)) { 
    print "<p style=\"color: red\">No ha escrito el número de columnas "
        ."como número entero positivo.</p>\n";
} elseif ($columnas<$columnasMinimo || $columnas>$columnasMaximo) {
    print "<p style=\"color: red\">El número de columnas debe estar entre "
    	."$columnasMinimo y $columnasMaximo.</p>\n";
} else {
    $columnasOk = TRUE;
}    

if ($altura=="") {
    print "<p style=\"color: red\">No ha escrito la altura de las filas.</p>\n";
} elseif (!ctype_digit($altura)) { 
    print "<p style=\"color: red\">No ha escrito la altura de las filas "
        ."como número entero positivo.</p>\n";
} elseif ($altura<$alturaMinimo || $altura>$alturaMaximo) {
    print "<p style=\"color: red\">La altura de las filas debe estar entre "
	    ."$alturaMinimo y $alturaMaximo.</p>\n";
} else {
    $alturaOk = TRUE;
}    

if ($anchura=="") {
    print "<p style=\"color: red\">No ha escrito la anchura de las columnas.</p>\n";
} elseif (!ctype_digit($anchura)) { 
    print "<p style=\"color: red\">No ha escrito la anchura de las columnas "
        ."como número entero positivo.</p>\n";
} elseif ($anchura<$anchuraMinimo || $anchura>$anchuraMaximo) {
    print "<p style=\"color: red\">La anchura de las columnas debe estar entre "
    	."$anchuraMinimo y $anchuraMaximo.</p>\n";
} else {
    $anchuraOk = TRUE;
}    

if ($filasOk && $columnasOk && $alturaOk && $anchuraOk) {
    print "<table border=\"1\">\n  <tbody>\n";
    print "    <tr style=\"height:$altura"."px\">\n";
    print "      <th style=\"width:$anchura"."px\">X</th>\n";
    for ($j=1; $j<=$columnas; $j++) {
        print "      <th style=\"width:$anchura"."px\">$j</th>\n";
    }
    print "    </tr>\n";

    for ($i=1; $i<=$filas; $i++) {
        print "    <tr style=\"height:$altura"."px\">\n";
        print "      <th>$i</th>\n";
        for ($j=1; $j<=$columnas; $j++) {
            print "      <td>".($i*$j)."</td>\n";
        }
        print "    </tr>\n";
    }
    print "  </tbody>\n</table>\n";
}

print "<p><a href=\"for_1_5.html\">Volver al formulario.</a></p>\n";
?>

<address>
  Esta página forma parte del curso "Páginas web con PHP" disponible en <a
  href="http://www.mclibre.org/">http://www.mclibre.org</a><br />
  Autor: Bartolomé Sintes Marco<br />
  Última modificación de esta página: 9 de mayo de 2011 
</address>
<p class="licencia">El programa PHP que genera esta página está bajo 
<a rel="license" href="http://www.gnu.org/licenses/agpl.txt">licencia AGPL 3 o
posterior</a>.</p>
</body>
</html>
